Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 965835 - Review Request: mingw-protobuf - Protocol Buffers - Google's data interchange format
Summary: Review Request: mingw-protobuf - Protocol Buffers - Google's data interchange...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-05-21 20:10 UTC by Steve
Modified: 2015-07-21 12:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-09 21:00:31 UTC


Attachments (Terms of Use)

Description Steve 2013-05-21 20:10:30 UTC
Spec URL: https://www.box.com/s/hi6w1pjh12sifyzfjxl3
SRPM URL: https://www.box.com/s/xrej0xxefm5w24ujff09
Description: This is the MinGW version of protobuf, already available as a standard Fedora package.  It's based on the existing protobuf package, and fedora-review found no significant issues, so hopefully approving this package isn't much effort.
Also, hopefully, submitting this package for review isn't considered "spam" -- that's certainly not my intent.
I would like to submit all of the dependencies of the MS Windows version of Mixxx (see http://www.mixxx.org/ for more info), and there are about 12.  The new version of mixxx (1.11.0) has finally been approved on RPMFusion.
Fedora Account System Username: ulatekh

Comment 1 Veaceslav Mindru 2013-07-30 08:15:14 UTC
Hello Steve,


Please remove rm -rf under %install.

>rm -rf %{buildroot}


http://fedoraproject.org/wiki/How_to_create_an_RPM_package#.25install_section 

Following E/W are reported by rpmlint.  


mingw-protobuf.spec:295: W: macro-in-comment %doc
mingw-protobuf.spec:315: W: macro-in-comment %doc
mingw-protobuf.spec:321: W: macro-in-comment %doc
mingw-protobuf.spec:327: W: macro-in-comment %doc
mingw-protobuf.spec:26: W: mixed-use-of-spaces-and-tabs (spaces: line 16, tab: line 26)

Comment 2 Pavol Rusnak 2014-08-03 22:35:47 UTC
I updated the package to follow the latest protobuf (2.5.0):

Spec URL: http://cargo.gk2.sk/mingw-protobuf/mingw-protobuf.spec
SRPM URL: http://cargo.gk2.sk/mingw-protobuf/mingw-protobuf-2.5.0-9.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7236229

Comment 3 František Dvořák 2014-08-16 10:24:30 UTC
It looks like this review is stalled as original submitter haven't responsed for more than a year.

Let's wait one more week according to http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews . After that time this review can be closed. It will be possible to create branch new review request for this package.

Comment 4 Pavol Rusnak 2015-01-09 17:12:31 UTC
Bump?

Comment 5 František Dvořák 2015-01-09 21:00:31 UTC
Yes, let's close this one. New review can be submitted, if needed.


Note You need to log in before you can comment on or make changes to this bug.